## mkepmlist(1)

### Name

mkepmlist - make an epm list file from a directory.

### Synopsis

mkepmlist [ -g group ] [ -u user ] [ --prefix directory ] directory [ ... directory ]

### Description

mkepmlist(1) recursively generates file list entries for files, links, and directories. The file list is send to the standard output.

### Options

mkepmlist supports the following options:

-g group
  Overrides the group ownership of the files in the specified directories with the specified group name.
-u user
  Overrides the user ownership of the files in the specified directories with the specified user name.
--prefix directory
  Adds the specified directory to the destination path. For example, if you installed files to "/opt/foo" and wanted to build a distribution that installed the files in "/usr/local", the following command would generate a file list that is installed in "/usr/local":

           mkepmlist --prefix=/usr/local /opt/foo >foo.list

### See Also

epm(1), epminstall(1), epm.list(5).

### Copyright

Copyright © 1999-2020 by Michael R Sweet, All Rights Reserved. Copyright © 2020 by Jim Jagielski, All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.